//console.log('view-premium');
// import './style.scss'; (wrong path, but it works without, but NEEDS to be in normal view so it gets generated in build)
function runSsqPremium() {
  (window as any).ScrollsequenceManager.initialize();
  (window as any).ScrollsequenceManager.preloadAll();
}
window.addEventListener('DOMContentLoaded', () => runSsqPremium());

// Elementor editor hook
window.addEventListener('elementor/frontend/init', () => {
  (window as any).elementorFrontend.hooks.addAction('frontend/element_ready/shortcode.default', () => { // 'frontend/element_ready/global'
    runSsqPremium();
  });
});
